Page MenuHomePhabricator

[epic] System level upgrade for cirrus / elasticsearch
Closed, ResolvedPublic

Description

We need to do a bunch of upgrades to our elasticsearch infrastructure / configuration. This task is there just to keep track of them together as it probably make sense to bundle their deployments. At least the following needs to be done (sub tasks will be created to keep track of the individual items):

  • Upgrade to Java 8
  • Migrate to Jessie
  • Move data to /srv
  • Upgrade to Elasticsearch 5

Related Objects

StatusAssignedTask
Resolveddebt
ResolvedGehel
ResolvedGehel
ResolvedCmjohnson
ResolvedGehel
ResolvedDeskana
DuplicateNone
ResolvedEBernhardson
Resolveddcausse
StalledNone
Resolveddcausse
ResolvedNikerabbit
Resolveddcausse
ResolvedEBernhardson
DeclinedNone
Resolveddcausse
DeclinedNone
ResolvedGehel
ResolvedDeskana
ResolvedDeskana
ResolvedDeskana
ResolvedEBernhardson
DeclinedEBernhardson
ResolvedEBernhardson
Resolvedmmodell
ResolvedEBernhardson
DeclinedNone
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedSmalyshev
ResolvedEBernhardson
ResolvedEBernhardson
Resolveddcausse

Event Timeline

Gehel created this task.Nov 22 2016, 2:59 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 22 2016, 2:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gehel triaged this task as High priority.Nov 23 2016, 12:49 PM
Deskana moved this task from Uncategorised to Technical on the CirrusSearch board.Dec 8 2016, 6:12 PM
Deskana added a subscriber: Deskana.Jan 3 2017, 6:12 PM

These tasks subtasks are closely related, but are not strict dependencies.

debt closed this task as Resolved.May 30 2017, 5:29 PM
debt claimed this task.